public abstract class ICreator
{
    public abstract ISerializer createSerializer();
    public void serialize() {
        ISerializer serializer = createSerializer();
	serializer.serialize();
    }
}
